# class KFileSharePropsPlugin

###

Module | kio
Namespace |
Class | KFileSharePropsPlugin
Inherits | KPropertiesDialogPlugin

This plugin provides a page to KProperiessDialog, showing the "file sharing" options Author David Faure <faure@kde.org>

### methods

- KFileSharePropsPlugin (_props)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  _props | KPropertiesDialog |

- applyChanges ( )

  returns Nothing

  Apply all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first.

- page ( )

  returns QWidget

- slotConfigureFileSharing ( )

  returns Nothing

- slotConfigureFileSharingDone ( )

  returns Nothing

- supports (items)

  returns bool
  static

  Argument | Type | Default
  --- | --- | ---
  items | KFileItemList |